{% load gestion_projets_extras %}


<div class="remark primary">
    <p><b>Explication :</b> En tant qu'administrateur, vous devez vérifier que l'ensemble des étudiants ont un groupe et valider l'ensemble des sujets avant de passer à l'étape suivante.</p>
</div>
<!-- Affichage tous les projets -->
<div class="p-5">
    <table id="table_admin_projects" class="table">
        <thead>
        <tr>
            <th>Sujet</th>
            <th>Tuteur</th>
            <th>Membres</th>
            <th>Nombre</th>
            <th>Validation tuteur</th>
            <th>Validation admin</th>
        </tr>
        </thead>
        {% for project in session.project_set.all %}
            <tr>
                <td>{{ project.subject.title }}</td>
                <td>{{ project.subject.user.first_name }} {{ project.subject.user.last_name }}</td>
                <td>
                    {% for userProject in project.users.all %}
                        {{ userProject.first_name }} {{ userProject.last_name }}
                        <a class="button primary square mini warning" title="Enlever l'étudiant du projet" href="{% url 'gestion_projets:project_remove_student' session.id project.id userProject.id %}">
                            <span class="mif-cross icon"></span>,
                        </a>
                    {% endfor %}<BR>
                    <form action="{% url 'gestion_projets:project_add_student' session.id project.id %}" method="POST">
                        {% csrf_token %}
                        <select name="student" data-role="select">
                            <option disabled selected> -- Choisissez un étudiant -- </option>
                            {% for rem_student in remaining_student.all %}
                                <option value="{{ rem_student.id }}">{{ rem_student.first_name }} {{ rem_student.last_name }}</option>
                            {% endfor %}
                        </select>

                        <button class="image-button warning" title="Ajouter l'étudiant au projet" type="submit">
                            <span class="mif-add icon"></span>
                            <span class="caption">Ajouter</span></center>
                        </button>
                    </form>
                <td>{{ project.users.count }}/4<br></td>
                <td>
                    {% if project.is_valid_tutor %}
                        <span class="pr-10-md mif-checkmark mif-2x fg-green"></span>
                    {% else %}
                        <span class="pr-10-md mif-cross mif-2x fg-red"></span>
                    {% endif %}
                    <a class="button" href="{% url 'gestion_projets:project_validate_tutor' session.id project.id %}">Modifier</a>
                </td>
                <td>            
                    {% if project.is_valid_admin %}
                        <span class="pr-10-md mif-checkmark mif-2x fg-green"></span>
                    {% else %}
                        <span class="pr-10-md mif-cross mif-2x fg-red"></span>
                    {% endif %}
                    <a class="button" href="{% url 'gestion_projets:project_validate_admin' session.id project.id %}">Modifier</a></td>
            </tr>
        {% endfor %}
    </table>
</div>


<div class="remark primary">
    <p><b>Explication :</b> Il ne doit rester aucun étudiant pour démarrer la session suivante.</p>
</div>
<!-- Affichage tous les projets du tuteur -->
<div class="p-5">
    <table class="table">
        <thead>
        <tr>
            <th>Nom</th>
            <th>Prénom</th>
        </tr>
        </thead>
        {% for rem_student in remaining_student.all %}
            <tr>
                <td>{{ rem_student.first_name }} </td>
                <td>{{ rem_student.last_name }}</td>
            </tr>
        {% endfor %}
    </table>
</div>

